#ifndef ADD_ANGLES_COMPUTATION_ALGORITHM_H
#define ADD_ANGLES_COMPUTATION_ALGORITHM_H


#include <vtkUnstructuredGridAlgorithm.h>
#include <vtkIdList.h>


void cellAngles(vtkDataSet *dataSet, vtkIdList *idList, double *angles);


class AddAngleComputationAlgorithm : public vtkUnstructuredGridAlgorithm {
public:
	static AddAngleComputationAlgorithm *New();
	vtkTypeMacro(AddAngleComputationAlgorithm, vtkUnstructuredGridAlgorithm);
	vtkTypeBool RequestData(vtkInformation *request,
							vtkInformationVector **inputVector,
							vtkInformationVector *outputVector) override;

protected:
	~AddAngleComputationAlgorithm() override = default;
};


#endif
